Description

History

#2 - 12/17/2019 09:26 AM - Roger Borrello

20191231 Update: Fixed in 4207a-11356

There is already a testcase that should have found this: uast/enable_and_disable_empty_except_clause.p checked in Sat 2019-05-18 by Greg, which

I verified does break with the below error:

    [javac] /home/rfb/projects/VirtualBox-VMs/shared/projects/testcases/uast/uast/buildarea/src/com/goldencode

/testcases/abl/EnableAndDisableEmptyExceptClause.java:30: error: no suitable method found for enableExcept(no 

arguments)

    [javac]          fFrame.enableExcept();

    [javac]                ^

    [javac]     method CommonFrame.enableExcept(GenericWidget<?>[]) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac]     method CommonFrame.enableExcept(GenericWidget<?>) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac]     method CommonFrame.enableExcept(GenericWidget<?>[],handle) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac]     method CommonFrame.enableExcept(GenericWidget<?>,handle) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac] testcases/uast/uast/buildarea/src/com/goldencode/testcases/abl/EnableAndDisableEmptyExceptClause.j

ava:34: error: no suitable method found for disableExcept(no arguments)

    [javac]          fFrame.disableExcept();

    [javac]                ^

    [javac]     method CommonFrame.disableExcept(GenericWidget<?>[]) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac]     method CommonFrame.disableExcept(GenericWidget<?>) is not applicable

    [javac]       (actual and formal argument lists differ in length)

    [javac] 2 errors

 

Testcase

def var i as int.

def frame f i.

enable all except with frame f.

wait-for go of frame f.

disable all except with frame f.

 

We saw there was CONTENT_ARRAY added to the AST:

    <ast col="0" id="12884901914" line="0" text="statement" type="STATEMENT">

      <ast col="1" id="12884901915" line="4" text="enable" type="KW_ENABLE">

        <annotation datatype="java.lang.Long" key="support_level" value="16400"/>

        <annotation datatype="java.lang.Long" key="scope-id" value="12884901959"/>

        <annotation datatype="java.lang.Long" key="frame-id" value="12884901960"/>
        <annotation datatype="java.lang.Long" key="block_par_id" value="154618822692"/>

        <annotation datatype="java.lang.Long" key="peerid" value="154618822712"/>

        <ast col="8" id="12884901917" line="4" text="all" type="KW_ALL">

          <ast col="12" id="12884901919" line="4" text="except" type="KW_EXCEPT"/>

          <ast col="0" id="12884901921" line="0" text="" type="CONTENT_ARRAY"/>

        </ast>

        <ast col="19" hidden="true" id="12884901922" line="4" text="with" type="FRAME_PHRASE">

          <annotation datatype="java.lang.Long" key="frame-id" value="12884901960"/>

          <ast col="24" hidden="true" id="12884901924" line="4" text="frame" type="KW_FRAME">

            <annotation datatype="java.lang.Long" key="support_level" value="16400"/>

            <ast col="30" id="12884901926" line="4" text="f" type="WID_FRAME"/>

          </ast>

        </ast>

      </ast>

    </ast>

#3 - 12/17/2019 09:27 AM - Roger Borrello

- Status changed from New to WIP

#4 - 12/17/2019 10:30 AM - Roger Borrello

Code updates in 4207a-11356.

rules/annotations/cleanup.rules

#5 - 12/31/2019 12:00 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Test

#6 - 03/03/2020 02:51 PM - Roger Borrello

Task branch 4207a was merged to trunk as revision 11344.

#7 - 03/04/2020 10:30 AM - Greg Shah

- Status changed from Test to Closed
